# DragDropEffects

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the possible effects of a drag-and-drop operation.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DragDropEffects : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DragDropEffects As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name     | Description                                                                           |
| -------- | ------------------------------------------------------------------------------------- |
| **All**  | The combination of the [Copy](#fields), [Move](#fields), and [Link](#fields) effects. |
| **Copy** | The data from the drag source is copied to the drop target.                           |
| **Link** | The data from the drag source is linked to the drop target.                           |
| **Move** | The data from the drag source is moved to the drop target.                            |
| **None** | The drop target does not accept the data.                                             |

## Used By

| Name                                                                                                   | Description                                                                                         |
| ------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------- |
| [Control.DoDragDrop](/api/wisej.web/general/control.md#dodragdrop-data-allowedeffects)                 | Begins a drag-and-drop operation.                                                                   |
| [DragEventArgs.AllowedEffect](/api/wisej.web/general/control/wisej.web.drageventargs.md#allowedeffect) | Returns which drag-and-drop operations are allowed by the originator (or source) of the drag event. |
| [DragEventArgs.Effect](/api/wisej.web/general/control/wisej.web.drageventargs.md#effect)               | Returns or sets the target drop effect in a drag-and-drop operation.                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.dragdropeffects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
